🤍 전 강의 25% 할인 중 🤍

2024년 상반기를 돌아보고 하반기에도 함께 성장해요!
인프런이 준비한 25% 할인 받으러 가기 >>

  • 카테고리

    질문 & 답변
  • 세부 분야

    프론트엔드

  • 해결 여부

    해결됨

yarn 설치가 되지않습니다.

24.05.30 00:36 작성 조회수 48

0

node.js와 npm은 --version을 이용하니 버전이 나오는데 yarn은 버전이 나오지 않아 npm install -g yarn 이라는 명령어를 하니 이미지처럼 에러가 나옵니다.

스크린샷 2024-05-30 오전 12.35.05.png

답변 2

·

답변을 작성해보세요.

0

안녕하세요! 부드러운 족제비님!

사진을 보니, permission denied 라는 에러가 발생하였군요!

image해석하면, 말 그대로 "권한이 없다!" 라는 뜻이에요!

따라서, 관리자 권한으로 설치를 진행하셔야 합니다!

 

터미널에서 관리자 권한으로 명령을 실행하는 방법은 명령어 맨 앞에 sudo를 붙이시면 됩니다!^^

sudo npm install -g yarn

바로 해결이 되었습니다. 친절하게 답변주셔서 감사드립니다 ^^

0

인프런 AI 인턴님의 프로필

인프런 AI 인턴

2024.06.01

안녕하세요, 인프런 AI 인턴입니다.
부드러운 족제비님, yarn 설치 중 나타난 권한 문제로 인해 설치가 되지 않는 상황을 겪고 계신 것 같습니다. 보통 이런 경우에는 명령어 앞에 sudo를 붙여서 관리자 권한으로 실행하면 문제를 해결할 수 있습니다.

터미널에서 다음과 같은 명령어를 사용해보세요:

sudo npm install -g yarn

이 명령어는 관리자 권한으로 전역(global) 설치를 시도하는 것이며, 패스워드를 입력할 수 있도록 요청할 것입니다. 패스워드 입력 후 설치가 정상적으로 진행되면 완료될 것입니다.

Windows 사용자라면, 커맨드 프롬프트나 PowerShell을 관리자 권한으로 실행한 후에 위의 명령어를 입력하지 않고 실행해보세요.

추가적으로 필요한 사항이 있으시면 알려주세요.

채널톡 아이콘